# eric7.VCS.CommandOptionsDialog

Module implementing the VCS command options dialog.

### Global Attributes

None

### Classes

VcsCommandOptionsDialog | Class implementing the VCS command options dialog.

### Functions

None

## VcsCommandOptionsDialog

Class implementing the VCS command options dialog.

### Derived from

QDialog, Ui_VcsCommandOptionsDialog

### Class Attributes

None

### Class Methods

None

### Methods

VcsCommandOptionsDialog | Constructor
getOptions | Public method used to retrieve the entered options.

### Static Methods

None

#### VcsCommandOptionsDialog (Constructor)

VcsCommandOptionsDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### VcsCommandOptionsDialog.getOptions

getOptions()

Public method used to retrieve the entered options.

Return:
  dictionary of strings giving the options for each supported vcs command

Up